# BMEF Class Reference

Estimator for Exponential family. More...

`#include <libEF.h>`

Inheritance diagram for BMEF:

[legend]
Collaboration diagram for BMEF:

[legend]

List of all members.

## Public Member Functions
| BMEF (const RV &rv, double frg0=1.0)
| Default constructor.
| BMEF (const BMEF &B)
| Copy constructor.
virtual void | set_statistics (const BMEF *BM0)
| get statistics from another model
virtual void | bayes (const vec &data, const double w)
| Weighted update of sufficient statistics (Bayes rule).
void | bayes (const vec &dt)
| Incremental Bayes rule.
virtual void | flatten (BMEF *B)
| Flatten the posterior.
virtual void | bayesB (const mat &Dt)
| Batch Bayes rule (columns of Dt are observations).
virtual const epdf & | _epdf () const =0
| Returns a pointer to the epdf representing posterior density on parameters. Use with care!
virtual double | logpred (const vec &dt) const
const RV & | _rv () const
| access function
double | _ll () const
| access function
void | set_evalll (bool evl0)
| access function
virtual BM * | _copy_ (bool changerv=false)
## Protected Attributes
double | frg
| forgetting factor
double | last_lognc
| cached value of lognc() in the previous step (used in evaluation of `ll` )
RV | rv
| Random variable of the posterior.
double | ll
| Logarithm of marginalized data likelihood.
bool | evalll
| If true, the filter will compute likelihood of the data record and store it in `ll` . Set to false if you want to save computational time.

## Detailed Description

Estimator for Exponential family.

## Member Function Documentation

void BMEF::bayes | ( | const vec & | dt | ) | `[virtual]`

Incremental Bayes rule.

Parameters:

  | dt | vector of input data

Implements BM.

Reimplemented in ARX, and multiBM.

References bayes().

virtual double BM::logpred | ( | const vec & | dt | ) | const`[inline, virtual, inherited]`

Evaluates predictive log-likelihood of the given data record I.e. marginal likelihood of the data with the posterior integrated out.

Reimplemented in ARX, MixEF, and multiBM.

virtual BM* BM::_copy_ | ( | bool | changerv = `false` | ) | `[inline, virtual, inherited]`

Copy function required in vectors, Arrays of BM etc. Have to be DELETED manually! Prototype: BM* _copy_(){BM Tmp*=new Tmp(this*); return Tmp; }

Reimplemented in ARX.

Referenced by MixEF::MixEF().

The documentation for this class was generated from the following files:

- work/git/mixpp/bdm/stat/libEF.h
- work/git/mixpp/bdm/stat/libEF.cpp